<bugID>1071558<Summary>Middle and right click on search suggestions perform the search in the same tab on about:home/newtab</Summary><Description>Reproducible on:
Firefox 33 beta 6 - 20140922173023
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:33.0) Gecko/20100101 Firefox/33.0
latest Aurora 34.0a2 - 20140922004004
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:34.0) Gecko/20100101 Firefox/34.0
latest Nightly 35.0a2 - 20140922030204
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:35.0) Gecko/20100101 Firefox/35.0

Steps to reproduce:
1. Enter a string on about:home or about:newtab page 
2. Move the mouse on suggestions drop-down list
3. Click on them using the mouse middle and right click buttons

Actual results:
Middle and right click perform the search on the same tab. The contextual menu is opened and remains on the screen when right click is used.

Expected results:
On search toolbox from navigation toolbar, middle click on search suggestions opens a new tab and right click has no action.

Notes: It also occurs under Mac OSX 10.9.5 and Ubuntu 12.10 32-bit.</Description></bugID>